server {
    server_name dify.107421.xyz;
    listen 80 ;
    return 301 https://dify.107421.xyz$request_uri;
}

server {
    listen 443 ssl;
    server_name    dify.107421.xyz;

    ssl_certificate    /etc/nginx/conf.d/ssl_key/dify.107421.xyz.cert.pem;
    ssl_certificate_key    /etc/nginx/conf.d/ssl_key/dify.107421.xyz.key.pem;
    ssl_session_timeout 1d;
    ssl_session_cache shared:MozSSL:10m;
    ssl_session_tickets off;

    ssl_protocols   TLSv1.2 TLSv1.3;
    ssl_ciphers    ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384;
    ssl_prefer_server_ciphers off;
     
    location /console/api {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_pass http://129.146.65.80:5001;
    }

    location /api {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_pass http://129.146.65.80:5001;
    }

    location /v1 {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_pass http://129.146.65.80:5001;
      
    }

    location /files {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_pass http://129.146.65.80:5001;
    }

    location /explore {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_pass http://129.146.65.80:3000;
    }

    location /e {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_set_header Dify-Hook-Url ://;
        proxy_pass http://129.146.65.80:5002;
    }

    location / {
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;
        proxy_http_version 1.1;
        proxy_set_header Connection "";
        proxy_buffering off;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        client_body_timeout 6000s;
        proxy_pass http://129.146.65.80:3000;
    }


}
